/**
 * This is a copy of the react-native style prop type, copied here to avoid RN dependencies for web clients
 */
declare type Falsy = undefined | null | false;
interface RecursiveArray<T> extends Array<T | RecursiveArray<T>> {
}
/** Keep a brand of 'T' so that calls to `StyleSheet.flatten` can take `RegisteredStyle<T>` and return `T`. */
declare type RegisteredStyle<T> = number & {
    __registeredStyleBrand: T;
};
export declare type IStyleProp<T> = T | RegisteredStyle<T> | RecursiveArray<T | RegisteredStyle<T> | Falsy> | Falsy;
export {};
//# sourceMappingURL=Styles.types.d.ts.map